Subject: Re: [PATCH] Support for DS75 thermal sensor

From: Jean Delvare <[email-masked]>
Date: Wed, 16 Jul 2008 16:29:42 +0200

On Wed, 16 Jul 2008 10:18:26 -0400, Jon Smirl wrote:
> On 7/16/08, Grant Likely <[email-masked]> wrote:
> > On Wed, Jul 16, 2008 at 12:10:59PM +0200, Jean Delvare wrote:
> >  > On Wed, 16 Jul 2008 11:50:15 +0200, Wolfgang Grandegger wrote:
> >  > > Jean Delvare wrote:
> >  > >
> >
> > > > Yep, as probing might not be acceptable in some cases, I makes sense to
> >  > > add a property to suppress probing:
> >  >
> >  > It'd rather make no-probing the default if possible. My understanding
> >  > is that all systems using i2c-mpc should have proper platform data.
> >
> >
> > Total ACK.  From my perspective, probing should be off by default because the
> >  typical use case in powerpc land is to trust data in the device tree.  Add the
> >  property to turn on probing, not to turn it off.  Also, you'll need to
> >  document the semantics of such a property.  ie. what exactly does it
> >  mean when the probing property is present and the spi bus node has child
> >  nodes?
> 
> I've found this thread now. Why can't we totally remove probing from
> i2c-mpc? These are embedded systems, not open boxes like a PC. If a
> i2c client hasn't been converted to the new model yet, convert it
> before deploying with the new i2c-mpc driver.  It's not very hard to
> convert the client drivers.

I tend to agree. And the number of unconverted drivers is getting very
low these days. Only 2 RTC drivers are left, and by the end of the day,
almost all hwmon drivers will be converted as well.

-- 
Jean Delvare